Browse Source

gnu: libreoffice: Update to 6.4.5.2.

* gnu/packages/libreoffice.scm (libreoffice): Update to 6.4.5.2.
[source]: Remove patch.
* gnu/packages/patches/libreoffice-poppler-compat.patch: Remove file.
* gnu/local.mk (dist_patch_DATA): Remove it.
gn-latest-20200725
Efraim Flashner 1 year ago
parent
commit
000498784f
Signed by: efraim GPG Key ID: 41AAE7DCCA3D8351
3 changed files with 2 additions and 23 deletions
  1. +0
    -1
      gnu/local.mk
  2. +2
    -3
      gnu/packages/libreoffice.scm
  3. +0
    -19
      gnu/packages/patches/libreoffice-poppler-compat.patch

+ 0
- 1
gnu/local.mk View File

@ -1211,7 +1211,6 @@ dist_patch_DATA = \
%D%/packages/patches/libmygpo-qt-fix-qt-5.11.patch \
%D%/packages/patches/libmygpo-qt-missing-qt5-modules.patch \
%D%/packages/patches/libqalculate-3.8.0-libcurl-ssl-fix.patch \
%D%/packages/patches/libreoffice-poppler-compat.patch \
%D%/packages/patches/libsndfile-armhf-type-checks.patch \
%D%/packages/patches/libsndfile-CVE-2017-8361-8363-8365.patch \
%D%/packages/patches/libsndfile-CVE-2017-8362.patch \


+ 2
- 3
gnu/packages/libreoffice.scm View File

@ -1049,7 +1049,7 @@ converting QuarkXPress file format. It supports versions 3.1 to 4.1.")
(define-public libreoffice
(package
(name "libreoffice")
(version "6.4.4.2")
(version "6.4.5.2")
(source
(origin
(method url-fetch)
@ -1057,10 +1057,9 @@ converting QuarkXPress file format. It supports versions 3.1 to 4.1.")
(string-append
"https://download.documentfoundation.org/libreoffice/src/"
(version-prefix version 3) "/libreoffice-" version ".tar.xz"))
(patches (search-patches "libreoffice-poppler-compat.patch"))
(sha256
(base32
"0y6026h374787yy2f3as1q7clxmgywsfdrj62kw3577wvybqaf2l"))))
"1v4ili9j8d0xfj3q69niski1v65icg8xi09ip2bsk343rawwck3a"))))
(build-system glib-or-gtk-build-system)
(native-inputs
`(("bison" ,bison)


+ 0
- 19
gnu/packages/patches/libreoffice-poppler-compat.patch View File

@ -1,19 +0,0 @@
Fix type mismatch with Poppler 0.86.
Taken from Arch Linux:
https://git.archlinux.org/svntogit/packages.git/tree/trunk/libreoffice-poppler-0.86.patch?h=packages/libreoffice-fresh
diff --git a/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx b/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx
--- a/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx
+++ b/sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.cxx
@@ -563,7 +563,9 @@ void PDFOutDev::processLink(Link* link, Catalog*)
if (!(pAction && pAction->getKind() == actionURI))
return;
-#if POPPLER_CHECK_VERSION(0, 72, 0)
+#if POPPLER_CHECK_VERSION(0, 86, 0)
+ const char* pURI = static_cast<LinkURI*>(pAction)->getURI().c_str();
+#elif POPPLER_CHECK_VERSION(0, 72, 0)
const char* pURI = static_cast<LinkURI*>(pAction)->getURI()->c_str();
#else
const char* pURI = static_cast<LinkURI*>(pAction)->getURI()->getCString();

Loading…
Cancel
Save